PaySwitch
PaySwitch API Reference

Mandates

Server

Manage mandates


Mandates - Retrieve Mandate

GET
https://paysw-wiki.lab.next-on.pro/dev-router
/mandates/{mandate_id}
api-key (header)

Retrieves a mandate created using the Payments/Create API

Mandates - Retrieve Mandate › path Parameters

mandate_id
​string · required

The identifier for mandate

Mandates - Retrieve Mandate › Responses

The mandate was retrieved successfully

mandate_id
​string · required

The identifier for mandate

status
​MandateStatus · enum · required

The status of the mandate, which indicates whether it can be used to initiate a payment.

Enum values:
active
inactive
pending
revoked
payment_method_id
​string · required

The identifier for payment method

payment_method
​string · required

The payment method

payment_method_type
​string | null

The payment method type

​object
​object

This "CustomerAcceptance" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.


Mandates - Revoke Mandate

POST
https://paysw-wiki.lab.next-on.pro/dev-router
/mandates/revoke/{mandate_id}
api-key (header)

Revokes a mandate created using the Payments/Create API

Mandates - Revoke Mandate › path Parameters

mandate_id
​string · required

The identifier for a mandate

Mandates - Revoke Mandate › Responses

The mandate was revoked successfully

mandate_id
​string · required

The identifier for mandate

status
​MandateStatus · enum · required

The status of the mandate, which indicates whether it can be used to initiate a payment.

Enum values:
active
inactive
pending
revoked
error_code
​string | null

If there was an error while calling the connectors the code is received here

Example: E0001
error_message
​string | null

If there was an error while calling the connector the error message is received here

Example: Failed while verifying the card

Mandates - Customer Mandates List

GET
https://paysw-wiki.lab.next-on.pro/dev-router
/customers/{customer_id}/mandates
api-key (header)

Lists all the mandates for a particular customer id.

Mandates - Customer Mandates List › path Parameters

customer_id
​string · required

The unique identifier for the customer

Mandates - Customer Mandates List › Responses

List of retrieved mandates for a customer

mandate_id
​string · required

The identifier for mandate

status
​MandateStatus · enum · required

The status of the mandate, which indicates whether it can be used to initiate a payment.

Enum values:
active
inactive
pending
revoked
payment_method_id
​string · required

The identifier for payment method

payment_method
​string · required

The payment method

payment_method_type
​string | null

The payment method type

​object
​object

This "CustomerAcceptance" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.